Loading...
Searching...
No Matches
pappso::cbor::psm::SageReader::FastaSeq Class Reference
Inheritance diagram for pappso::cbor::psm::SageReader::FastaSeq:

## Public Member Functions

| FastaSeq (SageReader *self)
void | setSequence (const QString &description_in, const QString &sequence_in) override

## Private Attributes

SageReader * | mp_self
QString | m_decoyTag

## Detailed Description

Definition at line 85 of file sagereader.h.

## Constructor & Destructor Documentation

## FastaSeq()

pappso::cbor::psm::SageReader::FastaSeq::FastaSeq | ( | SageReader * | self | ) |

Definition at line 69 of file sagereader.cpp.

{
mp_self = self;
m_decoyTag = mp_self->getDecoyTag();
}
pappso::cbor::psm::SageReader::FastaSeq::mp_self
SageReader * mp_self
Definition sagereader.h:92
pappso::cbor::psm::SageReader::FastaSeq::m_decoyTag
QString m_decoyTag
Definition sagereader.h:93

References pappso::cbor::psm::SageReader::SageReader(), m_decoyTag, and mp_self.

## Member Function Documentation

## setSequence()

void pappso::cbor::psm::SageReader::FastaSeq::setSequence | ( | const QString & | description_in,
|  | const QString & | sequence_in )

override virtual

Implements pappso::FastaHandlerInterface.

Definition at line 76 of file sagereader.cpp.

{
QString accession = description_in.split(" ", Qt::SkipEmptyParts).at(0);
try
{
const PsmProtein &psm_protein = mp_self->m_psmProteinMap.getByAccession(accession);
psm_protein.protein_sp.get()->setSequence(sequence_in);
psm_protein.protein_sp.get()->setDescription(description_in);
}
catch(pappso::ExceptionNotFound &err)
{
}
try
{
accession = accession.prepend(m_decoyTag);
const PsmProtein &psm_protein = mp_self->m_psmProteinMap.getByAccession(accession);
psm_protein.protein_sp.get()->setSequence(sequence_in);
psm_protein.protein_sp.get()->setDescription(description_in);
psm_protein.protein_sp.get()->reverse();
}
catch(pappso::ExceptionNotFound &err)
{
}
}

References m_decoyTag, mp_self, and pappso::cbor::psm::PsmProtein::protein_sp.

## Member Data Documentation

## m_decoyTag

QString pappso::cbor::psm::SageReader::FastaSeq::m_decoyTag

private

Definition at line 93 of file sagereader.h.

Referenced by FastaSeq(), and setSequence().

## mp_self

SageReader* pappso::cbor::psm::SageReader::FastaSeq::mp_self

private

Definition at line 92 of file sagereader.h.

Referenced by FastaSeq(), and setSequence().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/psm/sage/sagereader.h
- pappsomspp/core/processing/cbor/psm/sage/sagereader.cpp